Summary: GNU Extension language.
Name: guile
Version: 1.6.7
Release: 1tr
Group: Trustix Official
License: GPL
Source : ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL : http://www.gnu.org/software/guile/guile.html
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

%package devel
Summary: Libraries and header files for the GUILE extensibility library.
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
The guile-devel package includes the libraries, header files, etc.,
that you'll need to develop applications that are linked with the
GUILE extensibility library.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
	    --with-threads \
	    --disable-static
make

# generate HTML document 
cd doc
for i in goops r5rs ref tutorial
do
   cd $i
   for j in `ls *.texi`
   do
	 makeinfo --html --no-split --force $j &>/dev/null || true
   done
   cd ../
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install 

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/html/%{name}
cd doc
for i in goops r5rs ref tutorial
do
   cd $i
   for j in `ls *.html`
   do
   	install $j $RPM_BUILD_ROOT/%{_datadir}/html/%{name}/
   done
   cd ../
done
rm -Rf $RPM_BUILD_ROOT%{_prefix}/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh
/sbin/ldconfig
                                                                                                                             
%postun
/usr/sbin/htmlinfo_update.sh
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS NEWS
%{_bindir}/guile*
%{_libdir}/lib*.so.*
%attr(644,root,root) %{_datadir}/aclocal/guile.m4
%attr(644,root,root) %{_datadir}/guile/1.6/*
%attr(644,root,root) %{_datadir}/html/guile/*

%files devel
%defattr(644, root, root)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/guile/*
%{_includedir}/guile-readline/*
%{_includedir}/libguile.h
%{_includedir}/libguile/*

%changelog
* Wed Sep  9 2005 Bipin S <bipin at comodo dot com> 1.6.7-1tr
- Initial version for TSL-3.0
